--[[
bossnames.en.lua
This file gives the localised names of bosses needed in loot descriptions,
especially on tables from many locations where we need to indicate where the
loot came from.
]]
local BabbleBoss = AceLibrary("Babble-Boss-2.2");
local BabbleZone = AceLibrary("Babble-Zone-2.2");

AtlasLootBossNames = {

	AuchManaTombs = {
		BabbleBoss["Pandemonius"].." ("..BabbleZone["Mana-Tombs"]..")";
		BabbleBoss["Tavarok"].." ("..BabbleZone["Mana-Tombs"]..")";
		BabbleBoss["Nexus-Prince Shaffar"].." ("..BabbleZone["Mana-Tombs"]..")";
	};

	AuchAuchenaiCrypts = {
		"Shirrak".." ("..BabbleZone["Auchenai Crypts"]..")";
		"Maladaar".." ("..BabbleZone["Auchenai Crypts"]..")";
		"Avatar".." ("..BabbleZone["Auchenai Crypts"]..")";
	};

	AuchSethekkHalls = {
		BabbleBoss["Darkweaver Syth"].." ("..BabbleZone["Sethekk Halls"]..")";
		BabbleBoss["Talon King Ikiss"].." ("..BabbleZone["Sethekk Halls"]..")";
	};

	AuchShadowLabyrinth = {
		BabbleBoss["Ambassador Hellmaw"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		"Blackheart".." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Grandmaster Vorpil"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Murmur"].." ("..BabbleZone["Shadow Labyrinth"]..")";
	};

	BlackrockSpireLower = {
		"Highlord Omokk (LBRS)";
		"Spirestone Battle Lord (LBRS)";
		"Vosh'gajin (LBRS)";
		"War Master Voone (LBRS)";
		"Mor Grayhoof (LBRS)";
		"Mother Smolderweb (LBRS)";
		"Crystal Fang (LBRS)";
		"Doomhowl (LBRS)";
		"Zigris (LBRS)";
		"Gizrul the Slavener (LBRS)";
		"Halycon (LBRS)";
		"Overlord Wyrmthalak (LBRS)";
		"Grimaxe (LBRS)";
		"Spirestone Butcher (LBRS)";
		"Trash Mobs (UBRS/LBRS)";
	};

	BlackrockSpireUpper = {
		"Pyroguard Emberseer (UBRS)";
		"Solakar Flamewreath (UBRS)";
		"Father Flame (UBRS)";
		"Jed Runewatcher (UBRS)";
		"Goraluk Anvilcrack (UBRS)";
		"Rend Blackhand (UBRS)";
		"Gyth (UBRS)";
		"The Beast (UBRS)";
		"Valthalak (UBRS)";
		"Drakkisath (UBRS)";
		"Trash Mobs (UBRS/LBRS)";
	};

	BlackTemple = {
		BabbleBoss["High Warlord Naj'entus"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Supremus"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Gurtogg Bloodboil"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Teron Gorefiend"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Shade of Akama"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Reliquary of Souls"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Mother Shahraz"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidari Council"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidan Stormrage"].." ("..BabbleZone["Black Temple"]..")";
	};

	BlackwingLair = {
		BabbleBoss["Razorgore the Untamed"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Vaelastrasz the Corrupt"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Broodlord Lashlayer"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Firemaw"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Ebonroc"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Flamegor"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Chromaggus"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Nefarian"].." ("..BabbleZone["Blackwing Lair"]..")";
	};

	CFRTheSlavePens = {
		BabbleBoss["Mennu the Betrayer"].." ("..BabbleZone["The Slave Pens"]..")";
		BabbleBoss["Rokmar the Crackler"].." ("..BabbleZone["The Slave Pens"]..")";
		BabbleBoss["Quagmirran"].." ("..BabbleZone["The Slave Pens"]..")";
	};

	CFRTheUnderbog = {
		BabbleBoss["Hungarfen"].." ("..BabbleZone["The Underbog"]..")";
		BabbleBoss["Ghaz'an"].." ("..BabbleZone["The Underbog"]..")";
		BabbleBoss["Swamplord Musel'ek"].." ("..BabbleZone["The Underbog"]..")";
		BabbleBoss["The Black Stalker"].." ("..BabbleZone["The Underbog"]..")";
	};

	CFRTheSteamvault = {
		"Thespia".." ("..BabbleZone["The Steamvault"]..")";
		BabbleBoss["Mekgineer Steamrigger"].." ("..BabbleZone["The Steamvault"]..")";
		"Kalithresh".." ("..BabbleZone["The Steamvault"]..")";
	};

	CFRSerpentshrineCavern = {
		BabbleBoss["Hydross the Unstable"].." (Serpentshrine)";
		BabbleBoss["Leotheras the Blind"].." (Serpentshrine)";
		BabbleBoss["Fathom-Lord Karathress"].." (Serpentshrine)";
		BabbleBoss["Morogrim Tidewalker"].." (Serpentshrine)";
		BabbleBoss["The Lurker Below"].." (Serpentshrine)";
		BabbleBoss["Lady Vashj"].." (Serpentshrine)";
	};

	Common = {
		"Trash Mobs";
	};

	CoTOldHillsbradFoothills = {
		BabbleBoss["Lieutenant Drake"].." (CoT1)";
		BabbleBoss["Captain Skarloc"].." (CoT1)";
		BabbleBoss["Epoch Hunter"].." (CoT1)";
	};

	CoTTheBlackMorass = {
		BabbleBoss["Chrono Lord Deja"].." (CoT2)";
		BabbleBoss["Temporus"].." (CoT2)";
		BabbleBoss["Aeonus"].." (CoT2)";
	};

	CoTMountHyjal = {
		BabbleBoss["Rage Winterchill"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Anetheron"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Kaz'rogal"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Azgalor"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Archimonde"].." ("..BabbleZone["Hyjal Summit"]..")";
	};

	GruulsLair = {
		BabbleBoss["High King Maulgar"].." ("..BabbleZone["Gruul's Lair"]..")";
		BabbleBoss["Gruul the Dragonkiller"].." ("..BabbleZone["Gruul's Lair"]..")";
	};

	HCRamparts = {
		BabbleBoss["Watchkeeper Gargolmar"].." ("..BabbleZone["Hellfire Ramparts"]..")";
		BabbleBoss["Omor the Unscarred"].." ("..BabbleZone["Hellfire Ramparts"]..")";
	};

	HCBloodFurnace = {
		BabbleBoss["The Maker"].." ("..BabbleZone["The Blood Furnace"]..")";
		BabbleBoss["Broggok"].." ("..BabbleZone["The Blood Furnace"]..")";
		"Keli'dan".." ("..BabbleZone["The Blood Furnace"]..")";
	};

	HCShatteredHalls = {
		"Nethekurse".." ("..BabbleZone["The Shattered Halls"]..")";
		"O'mrogg".." ("..BabbleZone["The Shattered Halls"]..")";
		"Kargath".." ("..BabbleZone["The Shattered Halls"]..")";
	};

	Karazhan = {
		BabbleBoss["The Curator"].." ("..BabbleZone["Karazhan"]..")";
		BabbleBoss["Prince Malchezaar"].." ("..BabbleZone["Karazhan"]..")";
	};

	MagtheridonsLair = {
		BabbleBoss["Magtheridon"].." ("..BabbleZone["Magtheridon's Lair"]..")";
	};

	MoltenCore = {
		BabbleBoss["Lucifron"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Magmadar"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Gehennas"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Garr"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Shazzrah"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Baron Geddon"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Golemagg the Incinerator"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Sulfuron Harbinger"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Majordomo Executus"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Ragnaros"].." ("..BabbleZone["Molten Core"]..")";
	};

	Naxxramas = {
		BabbleBoss["Patchwerk"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Grobbulus"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Gluth"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Thaddius"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Anub'Rekhan"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Grand Widow Faerlina"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Maexxna"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Instructor Razuvious"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Gothik the Harvester"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["The Four Horsemen"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Noth the Plaguebringer"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Heigan the Unclean"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Loatheb"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Sapphiron"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Kel'Thuzad"].." ("..BabbleZone["Naxxramas"]..")";
	};

	OnyxiasLair = {
		BabbleBoss["Onyxia"].." ("..BabbleZone["Onyxia's Lair"]..")";
	};

	Scholomance = {
		"Blood Steward of Kirtonos (SCHOLO)";
		"Kirtonos (SCHOLO)";
		"Jandice Barov (SCHOLO)";
		"Rattlegore (SCHOLO)";
		"Death Knight Darkreaver (SCHOLO)";
		"Marduk Blackpool (SCHOLO)";
		"Vectus (SCHOLO)";
		"Ras Frostwhisper (SCHOLO)";
		"Kormok (SCHOLO)";
		"Instructor Malicia (SCHOLO)";
		"Doctor Theolen Krastinov (SCHOLO)";
		"Lorekeeper Polkelt (SCHOLO)";
		"The Ravenian (SCHOLO)";
		"Lord Alexei Barov (SCHOLO)";
		"Lady Illucia Barov (SCHOLO)";
		"Darkmaster Gandling (SCHOLO)";
		"Trash Mobs (SCHOLO)";
   };

	Stratholme = {
		"Skul (STRAT)";
		"Stratholme Courier (STRAT)";
		"Fras Siabi (STRAT)";
		"Hearthsinger Forresten (STRAT)";
		"The Unforgiven (STRAT)";
		"Timmy the Cruel (STRAT)";
		"Cannon Master Willey (STRAT)";
		"Archivist Galford (STRAT)";
		"Balnazzar (STRAT)";
		"Sothos & Jarien (STRAT)";
		"Aurius (STRAT)";
		"Stonespine (STRAT)";
		"Baroness Anastari (STRAT)";
		"Nerub'enkan (STRAT)";
		"Maleki the Pallid (STRAT)";
		"Magistrate Barthilas (STRAT)";
		"Ramstein the Gorger (STRAT)";
		"Baron Rivendare (STRAT)";
		"Trash Mobs (STRAT)";
   };

	TheRuinsofAhnQiraj = {
		BabbleBoss["Kurinnaxx"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
		BabbleBoss["General Rajaxx"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
		BabbleBoss["Moam"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
		BabbleBoss["Buru the Gorger"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
		BabbleBoss["Ayamiss the Hunter"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
		BabbleBoss["Ossirian the Unscarred"].." ("..BabbleZone["Ruins of Ahn'Qiraj"]..")";
	};

	TheTempleofAhnQiraj = {
		"Skeram";
		"Bug Family";
		"Sartura";
		"Fankriss";
		"Viscidus";
		"Huhuran";
		"Emperors";
		"Ouro";
		"CThun";
	};

	TKMechanar = {
		BabbleBoss["Gatewatcher Gyro-Kill"].." (Mechanar)";
		BabbleBoss["Gatewatcher Iron-Hand"].." (Mechanar)";
		BabbleBoss["Mechano-Lord Capacitus"].." (Mechanar)";
		BabbleBoss["Nethermancer Sepethrea"].." (Mechanar)";
		BabbleBoss["Pathaleon the Calculator"].." (Mechanar)";
	};

	TKTheBotanica = {
		BabbleBoss["Commander Sarannis"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["High Botanist Freywinn"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["Thorngrin the Tender"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["Laj"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["Warp Splinter"].." ("..BabbleZone["The Botanica"]..")";
	};

	TKTheArcatraz = {
		BabbleBoss["Zereketh the Unbound"].." (Arcatraz)";
		BabbleBoss["Wrath-Scryer Soccothrates"].." (Arcatraz)";
		BabbleBoss["Dalliah the Doomsayer"].." (Arcatraz)";
		BabbleBoss["Harbinger Skyriss"].." (Arcatraz)";
	};

	TKTheEye = {
		BabbleBoss["Void Reaver"].." ("..BabbleZone["The Eye"]..")";
		BabbleBoss["Al'ar"].." ("..BabbleZone["The Eye"]..")";
		BabbleBoss["High Astromancer Solarian"].." ("..BabbleZone["The Eye"]..")";
		BabbleBoss["Kael'thas Sunstrider"].." ("..BabbleZone["The Eye"]..")";
	};

	ZulAman = {
		BabbleBoss["Nalorakk"].." ("..BabbleZone["Zul'Aman"]..")";
		BabbleBoss["Akil'zon"].." ("..BabbleZone["Zul'Aman"]..")";
		BabbleBoss["Jan'alai"].." ("..BabbleZone["Zul'Aman"]..")";
		BabbleBoss["Halazzi"].." ("..BabbleZone["Zul'Aman"]..")";
		BabbleBoss["Malacrass"].." ("..BabbleZone["Zul'Aman"]..")";
		BabbleBoss["Zul'jin"].." ("..BabbleZone["Zul'Aman"]..")";
	};
};